package com.gyee.wisdom.dataadapter.websocket.intercepter;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.*;

/**
 * 拦截器
* @ClassName: MyWebAppConfigurer
* @author gyee
* @date 2018年6月3日
*
 */
@Configuration
public class MyWebAppConfigurer  extends  WebMvcConfigurationSupport  {

	/** 解决跨域问题 **/
	@Override
	public void addCorsMappings(CorsRegistry registry){


        registry.addMapping("/**")
			// 设置允许跨域请求的域名
			.allowedOriginPatterns("*")
			// 是否允许证书
			.allowCredentials(true)
			// 设置允许的方法
			.allowedMethods("GET", "POST", "DELETE", "PUT")
			// 设置允许的header属性
			.allowedHeaders("*")
				// 跨域允许时间
			.maxAge(3600);
			super.addCorsMappings(registry);

	}
	
}
